/ / Django 1.5: Python 2.7 oder Python 3 - Django, Python-2.7, Python-3.x

Django 1.5: Python 2.7 oder Python 3 - Django, Python-2.7, Python-3.x

Django veröffentlichen gerade ihre Version 1.5.

Es unterstützt jetzt Python 3, meine Frage ist ziemlichGanz einfach: Sollte ich mit dieser Version 1.5 noch Python 2.7 oder Python 3 verwenden? Ich nehme an, dass es bei Python 3 einige Probleme mit der App von Drittanbietern geben wird.

Was würden Sie in Ihrem Fall tun?

Antworten:

5 für die Antwort № 1

Die Release Notes stellen klar, dass Python 3 Unterstützung in 1.5 ist Experimental-. Und ja, Apps von Drittanbietern werden ein Problem sein.


0 für die Antwort № 2

Wenn ich eine neue Entwicklung begann, die ichIch habe nicht erwartet, dass es live geht, bis Version 1.6 veröffentlicht wird (wenn Python 3-Unterstützung produktionsbereit sein soll und hoffentlich die 3rd-Party-Apps aufgeholt haben), dann würde ich mit Python 3 gehen sauberer als Python 2.7.

Aber wenn Sie Ihre Website in naher Zukunft in Betrieb nehmen wollen, bleiben Sie bei 2.7.


0 für die Antwort № 3

Ich würde immer noch Python 2.7 verwenden, weil viele Anwendungen und Bibliotheken nicht für Python 3.x bereit sind

PIL funktioniert nicht richtig mit Python 3